API Reference

Retrieve Context Source

Retrieves a context source from the given workspace.

Expands
versions Retrieves all versions of the context source.
Endpoint
GET https://api.zatomic.ai/v1/context/sources/{contextSourceId}

// Examples
GET https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ
GET https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ?expand=versions

Endpoint Response

A successful call returns a response that contains the context source object.

HTTP Status Codes
200 OK The context source was retrieved.
404 Not Found The context source didn't exist.
500 Internal Server Error Something went wrong on Zatomic's end.